CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [options] [path to library folder...]

Start the calibre Content server. The calibre Content server exposes your calibre libraries over the internet. You can specify the path to the library folders as arguments to calibre-server. If you do not specify any paths, all the libraries that the main calibre program knows about will be used.

Whenever you pass arguments to calibre-server that have spaces in them, enclose the arguments in quotation marks. For example: “/some path/with spaces”

[OPÇÕES]

--access-log
    Caminho para o arquivo de registro de acessos. Este registro contém informações sobre os clientes que se conectam e fazem requisições. Por padrão nenhum registro de acesso é feito.

--ajax-timeout
    Time (in seconds) to wait for a response from the server when making queries.

--auth-mode
    Escolha o tipo de autenticação usada. Define o modo de autenticação HTTP usado pelo servidor. Defina como "basic" se usar o servidor por meio de um proxy SSL. Senão, deixe como "auto", que usará "basic" se o SSL estiver configurado, ou "digest" se não estiver configurado.

--auto-reload
    Recarregar o servidor automaticamente quando houver mudanças no código fonte. Útil para desenvolvimento. Você também deve especificar um valor mínimo para o tempo de reinicio do servidor.

--ban-after
    Number of login failures for ban. The number of login failures after which an IP address is banned

--ban-for
    Ban IP addresses that have repeated login failures. Temporarily bans access for IP addresses that have repeated login failures for the specified number of minutes. Useful to prevent attempts at guessing passwords. If set to zero, no banning is done.

--compress-min-size
    Tamanho mínimo para que resposta utilize compressão de dados (em bytes).

--custom-list-template
    Path to a JSON file containing a template for the custom book list mode. The easiest way to create such a template file is to go to Preferences-> Sharing over the net-> Book list template in calibre, create the template and export it.

--daemonize
    Run process in background as a daemon (Linux only).

--displayed-fields
    Restrict displayed user-defined fields. Comma separated list of user-defined metadata fields that will be displayed by the Content server in the /opds and /mobile views. If you specify this option, any fields not in this list will not be displayed. For example: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Socket pre-allocation, for example, with systemd socket activation. By default, this option is enabled.

--enable-auth, --disable-auth
    Password based authentication to access the server. Normally, the server is unrestricted, allowing anyone to access it. You can restrict access to predefined users with this option. By default, this option is disabled.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Fallback para a interface auto detectada. Se o servidor não conseguir associar a interface especificada na opção "listen_on", ele tentará detectar uma interface que se conecte com o mundo exterior e se associará a ela. By default, this option is enabled.

--enable-local-write, --disable-local-write
    Allow un-authenticated local connections to make changes. Normally, if you do not turn on authentication, the server operates in read-only mode, so as to not allow anonymous users to make changes to your calibre libraries. This option allows anybody connecting from the same computer as the server is running on to make changes. This is useful if you want to run the server without authentication but still use calibredb to make changes to your calibre libraries. Note that turning on this option means any program running on the computer can make changes to your calibre libraries. By default, this option is disabled.

--enable-log-not-found, --disable-log-not-found
    Log HTTP 404 (Not Found) requests. Normally, the server logs all HTTP requests for resources that are not found. This can generate a lot of log spam, if your server is targeted by bots. Use this option to turn it off. By default, this option is enabled.

--enable-use-bonjour, --disable-use-bonjour
    Anunciar feeds OPDS via BonJour. Anuncia os feeds OPDS através do serviço BonJour, de maneira que os aplicativos de leitura baseados em OPDS possam detectar e conectar ao servidor automaticamente. By default, this option is enabled.

--enable-use-sendfile, --disable-use-sendfile
    Zero copy file transfers for increased performance. Isto usará transferências zero-copy no núcleo ao enviar arquivos pela rede, aumentado a performance. Entretanto, pode causar transferência de arquivos corrompidas em alguns sistemas de arquivos falhos. Se você tiver transferências de arquivos corrompidas, desative-o. By default, this option is enabled.

--help, -h
    mostrar esta mensagem de ajuda e sair

--ignored-fields
    Campos de metadados definidos pelo usuário ignorados. Comma separated list of user-defined metadata fields that will not be displayed by the Content server in the /opds and /mobile views. For example: my_rating,my_tags

--listen-on
    A interface que escurará por conexões. O padrão é escutar em todas as interfaces disponíveis. Você pode mudar isto para, por exemplo, "127.0.0.1" para somente escutar por conexões da máquina local, ou para "::" para escutar por todas as conexões IPv6 e IPv4.

--log
    Caminho para o arquivo de registros do servidor. Este arquivo contém informações e erros do servidor, não contém informações de acesso. Por padrão é escrito no stdout.

--manage-users
    Gerenciar o banco de dados de usuários com permissão de conectar nesse servidor. Veja também a opção --userdb.

--max-header-line-size
    Tamanho máximo de cabeçalho HTTP único (em KB).

--max-job-time
    Tempo máximo para processos de trabalho. Quantidade máxima de tempo permitida para a execução dos processos de trabalho (em minutos). Defina para zero para não ter limite.

--max-jobs
    Número máximo de processos de trabalho. Worker processes are launched as needed and used for large jobs such as preparing a book for viewing, adding books, converting, etc. Normally, the max. number of such processes is based on the number of CPU cores. You can control it by this setting.

--max-log-size
    Tamanho máximo do arquivo de log (em MB). Tamanho máximo dos arquivos de log gerado pelo servidor. Quando o log se tornar maior que este tamanho, ele é rotacionado automaticamente. Defina para zero para desabilitar rotação de log.

--max-opds-items
    Número máximo de livros nos feeds OPDS. Número máximo de livros retornados pelo servidor em uma única aquisição de feed OPDS.

--max-opds-ungrouped-items
    Número máximo de itens desagrupados nos feeds OPDS. Agrupa itens em categorias como autor/etiquetas pela primeira letra quando houver mais que esse número de itens. Insira zero para desativar.

--max-request-body-size
    Tamanho máximo de arquivos enviados ao servidor (em MB).

--num-per-page
    Número de livros a serem exibidos em uma página. Número de livros a serem exibidos em uma página do navegador.

--pidfile
    Escreva o processo com o PID para o arquivo especificado

--port
    A porta que escutará por conexões.

--shutdown-timeout
    Tempo total em segundos de espera para um encerramento limpo.

--ssl-certfile
    Caminho para o arquivo de certificado SSL.

--ssl-keyfile
    Caminho para o arquivo de chave privada SSL.

--timeout
    Tempo (em segundos) de espera para que uma conexão ociosa seja fechada.

--url-prefix
    Um prefixo para adicionar à todas as URLs. Useful if you wish to run this server behind a reverse proxy. For example use, /calibre as the URL prefix.

--userdb
    Path to the user database to use for authentication. The database is a SQLite file. To create it use --manage-users. You can read more about managing users at: https://manual.calibre-ebook.com/server.html#managing-user-accounts-from-the-command-line-only

--version
    mostrar número da versão do programa e sair

--worker-count
    Número de threads de trabalho utilizadas para processar requisições.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal